
local addon  = KiwiPlates
local widget = addon:newWidget( 'Classification', { 'classification' } )
local SendColor = addon.SendColor

local function Update(kPlate,bPlate)
	local db = addon.theme.Classification
	SendColor.Classification(kPlate,  db.colors[bPlate.vType])
end

function widget:OnEnable(addon, theme)
	local db = theme.Classification
	addon.RegisterNotify( 'PlateShow', Update )
	addon.RegisterColorSender( 'Classification', db.colorReceivers, db.colorPriority or 2)
end

function widget:OnDisable(addon)
	addon.UnregisterNotify( 'PlateShow', Update )
	addon.UnregisterColorSender( 'Classification' )
end
